<template>
  <div class="auth-page">
    <div class="logo">
      <!-- <img src="https://placehold.co/48x48?text=%3E_" /> -->
      <div class="placeholder-logo">&nbsp;</div>
      <div class="logo-text">
        <span class="indent">Indent</span><span class="dot">.</span><span class="cloud">Cloud</span>
      </div>
    </div>

    <div id="central-card-form">
      <div class="outer">
        <div class="middle">
          <h2>Login to Indent.Cloud</h2>
          <Card dis-hover>
            <Form ref="loginForm" :model="loginForm" :rules="loginFormRules" >
              <FormItem label="Username" prop="username">
                <Input type="text" v-model="loginForm.username" />
              </FormItem>
              <FormItem label="Password" prop="password">
                  <Input type="password" v-model="loginForm.password" />
              </FormItem>
              
              <FormItem>
                <Button type="primary" @click="handleSubmit('loginForm')">Login</Button>
              </FormItem>

              <div id="additional-links">
                <router-link to="/register">Regsiter</router-link>
                |
                <router-link to="/forgotpassword">Forgot my password</router-link>
              </div>
            </Form>
          </Card>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    data () {
      const validateEmpty = (rule, value, callback) => {
        if (value === '') {
          callback(new Error('Please fill in this field'));
        } else {
          callback();
        }
      };
      
      return {
        loginForm: {
          username: '',
          password: ''
        },
        loginFormRules: {
          username: [
            { validator: validateEmpty, trigger: 'blur' }
          ],
          password: [
            { validator: validateEmpty, trigger: 'blur' }
          ]
        }
      }
    },
    methods: {
      handleSubmit (name) {
        console.log(this.$refs)
        this.$refs[name].validate((valid) => {
          if (valid) {
            this.$Message.success('Success!');
          } else {
            this.$Message.error('Please fill in all fields');
          }
        })
      }
    }
  }
</script>

<style lang="scss">
  @import '@/assets/scss/central-card-form.scss';
</style>